# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class Stats.Statistics

    java.lang.Object
      com.google.api.gbase.client.Stats.Statistics

Enclosing class:
  Stats

    public static class Stats.Statistics

extends java.lang.Object

Information about one specific use (impressions, clicks, page views).

Constructor Summary
`Stats.Statistics()`

Method Summary
`int` `getCountBySource(java.lang.String source)` Get a sub-total for a specific source.
`java.util.Set<java.lang.String>` `getSources()` Gets a set of sources for which a sub-total is available.
`int` `getTotal()` Gets the total for this statistic.
`void` `setCountBySource(java.lang.String source, int count)` Sets the sub-total for a specific source.
`void` `setTotal(int total)` Sets the total for this statistic.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Stats.Statistics

    public Stats.Statistics()

Method Detail

### getTotal

    public int getTotal()

  Gets the total for this statistic.

  Returns:
    total

### setTotal

    public void setTotal(int total)

  Sets the total for this statistic.

  Parameters:
    `total` -

### getSources

    public java.util.Set<java.lang.String> getSources()

  Gets a set of sources for which a sub-total is available.

  Returns:
    set of sources

### getCountBySource

    public int getCountBySource(java.lang.String source)

  Get a sub-total for a specific source.

  Parameters:
    `source` - source name
  Returns:
    sub-total or -1 if it is not known

### setCountBySource

    public void setCountBySource(java.lang.String source,
                                 int count)

  Sets the sub-total for a specific source.

  Parameters:
    `source` - source name
    `count` - sub-total or -1 if it is not known